%define major      3
%define libname    %mklibname %name %major
%define libnamedev %mklibname -d %name

Name:           openscap
Version:        0.9.12
Release:        %mkrel 2
Summary:        Set of open source libraries enabling integration of the SCAP line of standards
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.open-scap.org/
Source0:        https://fedorahosted.org/releases/o/p/openscap/%{name}-%{version}.tar.gz
Patch2:		openscap-0.7.1-link.patch
Patch3:		openscap-0.8.0-str-fmt.patch
BuildRequires:  swig
BuildRequires:	pcre-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	libgcrypt-devel
BuildRequires:	rpm-devel
BuildRequires:	pkgconfig(libcurl)

%description
OpenSCAP is a set of open source libraries providing an easier path 
for integration of the SCAP line of standards. SCAP is a line of standards 
managed by NIST with the goal of providing a standard language 
for the expression of Computer Network Defense related information.

%package -n %{libname}
Summary:	Set of open source libraries enabling integration of the SCAP line of standards
Group:          System/Libraries
Conflicts:	%name < 0.7.2

%description -n %{libname}
OpenSCAP is a set of open source libraries providing an easier path 
for integration of the SCAP line of standards. SCAP is a line of standards 
managed by NIST with the goal of providing a standard language 
for the expression of Computer Network Defense related information.


%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 0.7.2

%description -n %{libnamedev}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        python
Summary:        Python bindings for %{name}
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}
BuildRequires:  python-devel 

%description    python
The %{name}-python package contains the bindings so that %{name}
libraries can be used by python.

%package        perl
Summary:        Perl bindings for %{name}
Group:          Development/Perl
Requires:       %{name} = %{version}-%{release}
BuildRequires:  perl-devel

%description    perl
The %{name}-perl package contains the bindings so that %{name}
libraries can be used by perl.

%prep
%setup -q
%patch2 -p1 -b .link
%patch3 -p1 -b .str

%build
autoreconf -fi
%configure2_5x --enable-perl
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/bash_completion.d/oscap
%{_bindir}/*
%{_libexecdir}/%{name}
%{_mandir}/man8/*
%{_datadir}/%{name}

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files python
%{python_sitearch}/*

%files perl
%{perl_vendorarch}/*
%{perl_vendorlib}/*.pm

%files -n %{libnamedev}
%doc docs/{html,examples}/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.9.12-2.mga4
+ Revision: 534741
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 sander85 <sander85> 0.9.12-1.mga4
+ Revision: 478687
- New version: 0.9.12

* Sun Jul 21 2013 sander85 <sander85> 0.9.11-1.mga4
+ Revision: 456903
- New version: 0.9.11
- rediff patches

* Sun Jan 13 2013 umeabot <umeabot> 0.8.5-5.mga3
+ Revision: 362134
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 0.8.5-4.mga3
+ Revision: 337489
- Fix for _libdir != _libexecdir

* Tue Dec 18 2012 tv <tv> 0.8.5-3.mga3
+ Revision: 332297
- rebuild for new rpm

* Sat Dec 01 2012 fwang <fwang> 0.8.5-2.mga3
+ Revision: 323672
- rebuild for new pcre

* Fri Sep 14 2012 fwang <fwang> 0.8.5-1.mga3
+ Revision: 293878
- new version 0.8.5
- new version 0.8.1

  + tv <tv>
    - rebuild for new rpm-4.10.0

* Sun Jan 15 2012 fwang <fwang> 0.8.0-1.mga2
+ Revision: 196409
- update filelist
- fix str fmt
- drop merged patch
- new version 0.8.0
- drop .la file

* Sun Apr 24 2011 pterjan <pterjan> 0.7.2-1.mga1
+ Revision: 90013
- libify
- update to 0.7.2
- fix pkg-config file
- imported package openscap


* Sun Mar 13 2011 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 644115
- New version 0.7.1
- rediff rpm5 patch

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - rpm5 rebuild for contrib/release

* Wed Dec 08 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.3-3mdv2011.0
+ Revision: 616384
- add rpm5 support (P1)

* Fri Nov 19 2010 Funda Wang <fwang@mandriva.org> 0.6.3-2mdv2011.0
+ Revision: 598902
- rebuild for py2.7

* Mon Oct 18 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.3-1mdv2011.0
+ Revision: 586615
- 0.6.3

* Sat Sep 04 2010 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2011.0
+ Revision: 575813
- new version 0.6.2
- New version 0.6.2

* Sat Feb 27 2010 Funda Wang <fwang@mandriva.org> 0.5.7-1mdv2010.1
+ Revision: 512251
- BR curl
- update file list
- new version 0.5.7

* Tue Jan 26 2010 Eugeni Dodonov <eugeni@mandriva.com> 0.5.6-1mdv2010.1
+ Revision: 496752
- Fixed -devel group.
- Fixed groups for perl and python bindings.
- Imported into svn.
- Created package structure for openscap.

